import 'dart:io';
import 'option.dart';

class Terminal {
  // const forces creation of only one terminal when constructed with no argument.
  // It can be called from many files, the same terminal instance is always returned.
  const Terminal();

  void printPrompt(String prompt) {
    stdout.writeln(prompt);
  }

  void printOptions(List<Option> options) {
    options.asMap().forEach((index, option) {
      stdout.writeln('[$index] - ${option.label}');
    });

    stdout.writeln('Enter a choice:\n');
    stdout.write('>');
  }

  String collectInput() {
    String input = stdin.readLineSync();
    return input;
  }

  void clearScreen() {
    if (Platform.isWindows) {
      stdout.write('\x1B[2J\x1B[0f');
    } else {
      stdout.write('\x1B[2J\x1B[3J\x1B[H');
    }
  }
}
